.Options {
  display: flex;
  justify-content: flex-end;
  margin-bottom: 5px;
  & .option {
    color: #949494;
    cursor: pointer;
    display: inline-block;
    font-family: "Palanquin", sans-serif;
    font-size: 12px;
    font-weight: 700;
    margin: 5px 15px 0 0;
    outline: 0;
    &.disabled {
      opacity: 0.5;
    }
    &:before {
      background-position: center;
      background-repeat: no-repeat;
      content: "";
      display: inline-block;
      height: 20px;
      margin-bottom: 4px;
      margin-right: 5px;
      vertical-align: middle;
      width: 20px;
    }
    &:hover {
      color: var(--red);
    }
    &.view-table {
      &:before {
        background-image: url("/images/viz/view-table.svg");
      }
      &:hover:before {
        background-image: url("/images/viz/view-table-red.svg");
      }
    }
    &.add-to-cart {
      &:before {
        background-image: url("/images/viz/add-to-cart.svg");
      }
      &:hover:before {
        background-image: url("/images/viz/add-to-cart-red.svg");
      }
    }
    &.save-image {
      &:before {
        background-image: url("/images/viz/save-image.svg");
      }
      &:hover:before {
        background-image: url("/images/viz/save-image-red.svg");
      }
    }
    &.share {
      &:before {
        background-image: url("/images/viz/share.svg");
      }
      &:hover:before {
        background-image: url("/images/viz/share-red.svg");
      }
    }
    @media (max-width: 500px) {
      & .option-label {
        display: none;
      }
    }
  }
}

.Section.compare, .topic.Column, .topic-miniviz {
  & .option {
    margin: 0 5px;
    &:before {
      margin-right: 0;
    }
    & .option-label {
      display: none;
    }
  }
}

.option-tooltip {
  max-width: 250px;
}

.options-dialog {
  max-width: calc(100% - 50px);
  min-width: 400px;
  width: auto;
  & .close-button {
    position: absolute;
    right: 5px;
    top: 5px;
  }
  & input[type="text"] {
    border: 1px solid #BDBDBD;
    color: #949494;
    font-family: "Palanquin", sans-serif;
    font-size: 12px;
    font-weight: 600;
    height: 35px;
    padding: 0 13px 3px;
    text-align: left;
  }
  & .pt-tab-list {
    background: none;
    letter-spacing: 0.1em;
    padding: 10px 20px 0;
    top: 0;
    & .pt-tab-indicator {
      background-color: var(--red);
    }
    & .pt-tab {
      color: #333;
      font-size: 13px;
      font-weight: 800;
      text-transform: uppercase;
      &[aria-selected="true"] {
        color: #333;
      }
      &:focus {
        outline: 0;
      }
    }
  }
  & .pt-dialog-body {
    margin: 25px;
    &.vertical {
      flex-direction: column;
    }
    & .horizontal {
      display: flex;
    }
    &.save-image {
      margin: 25px 50px;
      & .save-image-btn {
        color: black;
        cursor: pointer;
        font-family: "Palanquin", sans-serif;
        font-size: 13px;
        margin: 65px 20px;
        opacity: 0.3;
        text-align: center;
        transition: opacity 0.1s;
        width: 80px;
        & .pt-icon-standard {
          display: block;
          font-size: 28px;
          margin-bottom: 7px;
        }
        &:hover {
          opacity: 0.7;
        }
      }
    }
    &.share {
      margin: 25px 50px;
      & .social {
        align-items: center;
        display: flex;
        width: 100%;
        & .networks {
          margin-right: 20px;
          text-align: center;
          width: 105px;
          & .network {
            display: inline-block;
            margin: 0 13px;
            opacity: 0.3;
            transition: opacity 0.1s;
            &.facebook {
              width: 12px;
            }
            &.twitter {
              width: 22px;
            }
            &:hover {
              opacity: 0.5;
            }
          }
        }
        & input {
          flex: 1;
        }
      }
      & .preview {
        height: 79px;
        margin: 10px 20px 15px 0;
        width: 105px;
      }
      & .info {
        color: #949494;
        font-size: 12px;
        font-weight: 600;
        margin: 15px 0;
        & .pt-checkbox {
          display: inline-block;
          margin: 8px 0 0;
          vertical-align: bottom;
        }
        & .pt-select {
          display: inline-block;
          float: right;
          margin: 0;
          vertical-align: baseline;
        }
      }
      & .embed-link {
        width: 100%;
        & input {
          width: 100%;
        }
      }
    }
    &.view-table {
      margin-bottom: 0;
      & .pt-non-ideal-state {
        height: 150px;
        margin-top: 25px;
        & .pt-non-ideal-state-visual {
          margin-bottom: 10px;
        }
        & .pt-non-ideal-state-title {
          color: #333;
          cursor: pointer;
          font-family: "Palanquin", sans-serif;
          font-size: 13px;
          font-weight: 600;
          opacity: 0.5;
        }
      }
      & .download {
        width: 100%;
        & button {
          color: #333;
          cursor: pointer;
          font-family: "Palanquin", sans-serif;
          font-size: 13px;
          font-weight: 600;
          opacity: 0.5;
          transition: opacity 0.1s;
          & .pt-icon-standard {
            color: black;
          }
          &:hover {
            opacity: 0.7;
          }
          &:focus {
            outline: 0;
          }
        }
        & input {
          flex: 1;
        }
      }
      & .table {
        height: calc(100vh - 300px);
        overflow-x: scroll;
        overflow-y: hidden;
        width: 100%;
        & .bp-table-container {
          background: #eee;
          & .bp-table-menu {
            border-bottom: 0;
          }
          & .bp-table-row-headers {
            background: #F6F6F6;
            & .bp-table-row-name {
              color: #444;
              font-weight: 600;
              opacity: 1;
              padding-right: 5px;
            }
          }
        }
      }
    }
  }
}
